it seems that when issuing the command

bt~#slapt-get --update

the sources fail to download. I have tried numerous fixes and have only been able to get one to work. If you have another one please submit it for testing. I simply took out the sources provided and put in the source for the new slacky repository. The file you need to change is called /etc/slapt-get/slapt-getrc and mine looks like this
Code:
# See /usr/doc/slapt-get-0.9.12a/example.slapt-getrc
# for example source entries and configuration hints.
WORKINGDIR=/var/slapt-get
EXCLUDE=^kernel-.*,^alsa-.*,^glibc.*,.*-[0-9]+dl$,^devs$,^udev$,aaa_elflibs,x86$
#SOURCE=ftp://carroll.cac.psu.edu/pub/linux/distributions/slackware/slackware-1$
#SOURCE=http://software.jaos.org/slackpacks/12.0/
SOURCE=http://darkstar.ist.utl.pt/slackware/addon/slacky/slackware-12.0
I commented out the two that didnt work. Actually I tried numerous different ones from the get slacky site and none of them worked. then rerun and you should get something like this and you say yes and there you go.
Code:
bt ~ # slapt-get --update && slapt-get --upgrade
Retrieving package data [http://darkstar.ist.utl.pt/slackware/addon/slacky/slack                                                                                                   ware-12.0/]...Cached
Retrieving patch list [http://darkstar.ist.utl.pt/slackware/addon/slacky/slackwa                                                                                                   re-12.0/]...Done
Retrieving checksum list [http://darkstar.ist.utl.pt/slackware/addon/slacky/slac                                                                                                   kware-12.0/]...Cached
Retrieving checksum signature [http://darkstar.ist.utl.pt/slackware/addon/slacky                                                                                                   /slackware-12.0/]...Not Found
Retrieving ChangeLog.txt [http://darkstar.ist.utl.pt/slackware/addon/slacky/slackware-12.0/]...Cached
Reading Package Lists...Done
Reading Package Lists... Done
Excluding amarok, use --ignore-dep to override
Excluding gnupg2, use --ignore-dep to override
Excluding libextractor, use --ignore-dep to override
Excluding ruby, use --ignore-dep to override
Excluding sox, use --ignore-dep to override
Excluding vlc, use --ignore-dep to override
The following packages have unmet dependencies:
  mpeg4ip: Depends: svgalib >= 1.9.25-i486-1
  gnupg2: Depends: pth >= 2.0.7-i486-1
  libextractor: Depends: libtool >= 1.5.24-i486-1
  ruby: Depends:   db44 >= 4.4.20-i486-2
  sox: Depends: libtool >= 1.5.24-i486-1
  vlc: Depends: aalib >= 1.4rc5-i486-2
The following packages have been EXCLUDED:
  alsa-lib alsa-oss alsa-utils amarok gnupg2 libextractor ruby sox vlc
The following NEW packages will be installed:
  libmowgli libdvdcss libdvdread libmpcdec libmikmod
The following packages will be upgraded:
  audacious cdrdao flash-player-plugin flex fuse graphviz slapt-get gslapt
  id3lib jre k3b k3b-i18n kplayer libsigc++ mono mozilla-firefox-en-us
  ndiswrapper ntfs-3g parted postgresql psyco pycairo pygtk rrdtool smb4k wine
  xchat xmms
28 upgraded, 5 newly installed, 0 to remove and 9 not upgraded.
Need to get 133.9MB of archives.
After unpacking 65.6MB of additional disk space will be used.
Do you want to continue? [y/N]